# Web5 DWN (Decentralized Web Node)

Personal data store for Web5. Store and sync your decentralized data across devices.

## Building

```bash
# From the apps directory
./build.sh web5-dwn

# Or manually
cd web5-dwn
docker build -t archipelago/web5-dwn:latest .
```

## Development

```bash
cd web5-dwn
npm install
npm run dev
```

## Ports

- **3000**: HTTP API (dev: 13000)

## Running Locally

```bash
docker run -p 3000:3000 \
  -v /tmp/archipelago-dev/web5-dwn:/app/data \
  -e DWN_STORAGE_PATH=/app/data \
  archipelago/web5-dwn:latest
```
